package application

import (
	"os"
	"path"
	"sirlab.de/go/knyt/game"
)

func (app Application) loadGames() error {
	dirName := path.Join(app.config.DataDir, "games")
	files, err := os.ReadDir(dirName)
	if err != nil {
		return err
	}
	for _, file := range files {
		id := file.Name()
		fileName := path.Join(dirName, id, "game.json")
		if gm, err := game.NewGameFromFile(id, fileName); err != nil {
			return err
		} else {
			app.games[gm.GetId()] = gm
		}
	}

	return nil
}
