package handler

import (
	"encoding/json"
	"fmt"
	"net/http"
	"sirlab.de/go/knyt/user"
)

type UserInfoJson struct {
	Name   string `json:"name"`
	Role   string `json:"role"`
	GameId string `json:"game"`
}

func (authMux *AuthMux) GetUserInfo(usr *user.User, w http.ResponseWriter, r *http.Request) {
	usrLight := UserInfoJson{
		Name:   usr.GetName(),
		Role:   usr.GetRole(),
		GameId: usr.GetGameId(),
	}

	w.Header().Add("Content-Type", "application/json")
	jsonString, _ := json.Marshal(usrLight)
	fmt.Fprintf(w, string(jsonString))
}
